com.sun.java.xml.ns.javaee

## Class PortComponentRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.PortComponentRefType

-     public class PortComponentRefType
      extends Object

  The port-component-ref element declares a client dependency on the container for resolving a Service Endpoint Interface to a WSDL port. It optionally associates the Service Endpoint Interface with a particular port-component. This is only used by the container for a Service.getPort(Class) method call.

  Java-Klasse für port-component-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="port-component-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="service-endpoint-interface" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType"/>
               <element name="enable-mtom" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="mtom-threshold" type="{http://java.sun.com/xml/ns/javaee}xsdNonNegativeIntegerType" minOccurs="0"/>
               <element name="addressing" type="{http://java.sun.com/xml/ns/javaee}addressingType" minOccurs="0"/>
               <element name="respect-binding" type="{http://java.sun.com/xml/ns/javaee}respect-bindingType" minOccurs="0"/>
               <element name="port-component-link" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AddressingType` | `addressing`
    `protected TrueFalseType` | `enableMtom`
    `protected String` | `id`
    `protected XsdNonNegativeIntegerType` | `mtomThreshold`
    `protected String` | `portComponentLink`
    `protected RespectBindingType` | `respectBinding`
    `protected FullyQualifiedClassType` | `serviceEndpointInterface`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortComponentRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressingType` | `getAddressing()` Ruft den Wert der addressing-Eigenschaft ab.
    `TrueFalseType` | `getEnableMtom()` Ruft den Wert der enableMtom-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `XsdNonNegativeIntegerType` | `getMtomThreshold()` Ruft den Wert der mtomThreshold-Eigenschaft ab.
    `String` | `getPortComponentLink()` Ruft den Wert der portComponentLink-Eigenschaft ab.
    `RespectBindingType` | `getRespectBinding()` Ruft den Wert der respectBinding-Eigenschaft ab.
    `FullyQualifiedClassType` | `getServiceEndpointInterface()` Ruft den Wert der serviceEndpointInterface-Eigenschaft ab.
    `void` | `setAddressing(AddressingType value)` Legt den Wert der addressing-Eigenschaft fest.
    `void` | `setEnableMtom(TrueFalseType value)` Legt den Wert der enableMtom-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setMtomThreshold(XsdNonNegativeIntegerType value)` Legt den Wert der mtomThreshold-Eigenschaft fest.
    `void` | `setPortComponentLink(String value)` Legt den Wert der portComponentLink-Eigenschaft fest.
    `void` | `setRespectBinding(RespectBindingType value)` Legt den Wert der respectBinding-Eigenschaft fest.
    `void` | `setServiceEndpointInterface(FullyQualifiedClassType value)` Legt den Wert der serviceEndpointInterface-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceEndpointInterface

          protected FullyQualifiedClassType serviceEndpointInterface

    - #### enableMtom

          protected TrueFalseType enableMtom

    - #### mtomThreshold

          protected XsdNonNegativeIntegerType mtomThreshold

    - #### addressing

          protected AddressingType addressing

    - #### respectBinding

          protected RespectBindingType respectBinding

    - #### portComponentLink

          protected String portComponentLink

    - #### id

          protected String id

  - ### Constructor Detail

    - #### PortComponentRefType

          public PortComponentRefType()

  - ### Method Detail

    - #### getServiceEndpointInterface

          public FullyQualifiedClassType getServiceEndpointInterface()

      Ruft den Wert der serviceEndpointInterface-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setServiceEndpointInterface

          public void setServiceEndpointInterface(FullyQualifiedClassType value)

      Legt den Wert der serviceEndpointInterface-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getEnableMtom

          public TrueFalseType getEnableMtom()

      Ruft den Wert der enableMtom-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setEnableMtom

          public void setEnableMtom(TrueFalseType value)

      Legt den Wert der enableMtom-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getMtomThreshold

          public XsdNonNegativeIntegerType getMtomThreshold()

      Ruft den Wert der mtomThreshold-Eigenschaft ab.
      Returns:
        possible object is `XsdNonNegativeIntegerType`

    - #### setMtomThreshold

          public void setMtomThreshold(XsdNonNegativeIntegerType value)

      Legt den Wert der mtomThreshold-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdNonNegativeIntegerType`

    - #### getAddressing

          public AddressingType getAddressing()

      Ruft den Wert der addressing-Eigenschaft ab.
      Returns:
        possible object is `AddressingType`

    - #### setAddressing

          public void setAddressing(AddressingType value)

      Legt den Wert der addressing-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `AddressingType`

    - #### getRespectBinding

          public RespectBindingType getRespectBinding()

      Ruft den Wert der respectBinding-Eigenschaft ab.
      Returns:
        possible object is `RespectBindingType`

    - #### setRespectBinding

          public void setRespectBinding(RespectBindingType value)

      Legt den Wert der respectBinding-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `RespectBindingType`

    - #### getPortComponentLink

          public String getPortComponentLink()

      Ruft den Wert der portComponentLink-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setPortComponentLink

          public void setPortComponentLink(String value)

      Legt den Wert der portComponentLink-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.